Skip Navigation

This thread is resolved. Here is a description of the problem and solution.

Problem: Can not translate UX builder elements.

Solution: Update Flatsome and UX builder to the latest versions. WPML and Flatsome are now compatible.

Relevant Documentation: - https://wpml.org/compatibility/2020/06/wpml-offers-an-effortless-translation-workflow-for-flatsome-theme/

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

Our next available supporter will start replying to tickets in about 0.07 hours from now. Thank you for your understanding.

Tagged: 

This topic contains 10 replies, has 2 voices.

Last updated by pavelF-4 5 months, 3 weeks ago.

Assigned support staff: Dražen Duvnjak.

Author Posts
March 31, 2020 at 11:43 am #5803479

pavelF-4

I am trying to translate the homepage but the translator shows still some old version of the page and in the "translations" it shows as "complete".

I did not find where the issue is. I started to worried that maybe I have some problem with the database.

It is just the home page - hidden link

Please do you have any idea?

I attached the pictures of the issue.

Thank you!

April 1, 2020 at 6:45 am #5809879

Dražen Duvnjak
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+01:00)

Hello,

1) we have a bit of overload yesterday on our servers, so some issues might occur when using ATE. Can you check if this happens today also? Send the page for translations and go to WPML>Translations and click on Translate.

2) "Waiting for translator" means it is sent to translation and waiting for a translator to pick up and work on it. The translator can be you or some other user you have set.

Link: https://wpml.org/documentation/translating-your-contents/working-with-translation-managers/

3) I would advise to avoid any issue in the future, make sure WPMLs minimum requirements are met:

Please make a backup before proceeding.

- Update WPML and other plugins to latest versions
- MYSQL 5.6 or above

Link: https://wpml.org/home/minimum-requirements/

Please let me know how it goes and don't hesitate to ask if you find any problem along the way.

Regards,
Drazen

April 4, 2020 at 7:24 pm #5839193

pavelF-4

Hi Dražen,

Thank you for your reply.

Unfortunately the issue is still there. It does not help.

A few weeks ago I tried some plugin for cleaning the database.

Maybe that was the problem.

I will try to load some older backup of the website and database.

April 6, 2020 at 6:57 am #5844825

Dražen Duvnjak
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+01:00)

Thanks for the update.

Sure, let me know how it goes.

1) Please update your MYSQL version, as mentioned in my previous reply

2) Please enable error logging that will save all errors in a file called debug.log, log file inside the /wp-content/ directory.

To do so, please add the following

define('WP_DEBUG', true);
define( 'WP_DEBUG_LOG', true );
define( 'WP_DEBUG_DISPLAY', false);

Once you have added those lines to your wp-config.php file, please try and recreate the issue. Then go to your installation's wp-content folder and find the "debug.log" file that should've appeared by now (it will appear if it encounters an error in your server).

Then, upload that file into a storage platform of your choosing (Google Drive, Dropbox, etc) and send me the link (make sure it's set as "public" otherwise I won't be able to access its content) so I can download it and take a look at it, and determine where to go from there.

Thanks and regards,
Drazen

April 7, 2020 at 5:25 pm #5859851

pavelF-4

Hi Dražen,

ad1) I have this version of MySQL: MySQL dump 10.15 Distrib 10.0.35-MariaDB

ad2) I rewrote this line „define( ‚WP_DEBUG‘, false );“ with the new three lines but it didn't work. It shows the new WP installation page. But I don't know why. I'll try to investigate it more.

Unfortunately using the older backup of the website and DB didn't work. There is still an old version of the home page in ATE so I am not able to translate the current version of the page. It shows some very old version with old texts.

All plugins are up to date.

April 8, 2020 at 8:37 am #5863797

Dražen Duvnjak
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+01:00)

Thanks for the reply.

In order to investigate this issue and to understand it better, I would need to access your website.

Please make a full backup of your site (files and database) and confirm it in your next reply.

I would need to access your site's wp-admin and FTP account. I have enabled the private username and password fields in your next reply.

I suggest you create a temporary user, set it as an administrator and then add those credentials in the fields mentioned above.

You can safely add your information into these fields. I would also need your permission to access the database as well.

Thanks and regards,
Drazen

April 9, 2020 at 8:06 am #5873025

Dražen Duvnjak
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+01:00)

Hi Pavel,

thank you for your patience.

I've checked things on your site and found out the following which is the reason why the translations are not working. on your site.

I can see strings coming for translation to ATE are UX builder elements. They are showing outside UX builder if you check the page in the classic editor. Please check the attached screenshot.

You are using the Flatsome theme and its UX Page Builder. While the Flatsome theme is in the last phases of the compatibility process by our compatibility team, it is also known to us that currently the UX builder is not 100% compatible with WPML there are many known issues reported already. We are in constant touch with the authors to make it work with WPML.

At the moment, I suggest you proceed to work with the UX builder by manually translating the pages as described in our documentation here:

- https://wpml.org/documentation/translating-your-contents/using-different-translation-editors-for-different-pages/

You can see a reference to the UX issue in another forum tickets:

- https://wpml.org/forums/topic/wpml-not-supporting-flatsome-frontpage-translation/
- https://wpml.org/forums/topic/some-strings-are-not-getting-transalted/
- https://wpml.org/forums/topic/the-page-is-not-showing-the-italian-translation-even-if-it-is-clearly-done/

The next step in this process is marking this ticket as escalated to our compatibility team and when a version of WPML with the fix (compatibility with UX builder) is released I'll notify you here.

Please let me know if there is anything else I can do for you or you have any other questions.

Regards,
Drazen

April 10, 2020 at 8:11 am #5881933

pavelF-4

Hi Dražen,

Thank you for your assistance! I did the manual translation according the documentation. I hope you will cope with the Flatsome issue soon. I have last question:

When I installed WPML the website have started to be very slow. Do you thing it is because the issue between WPML plugin and Flatsome theme? Or it is just normal? I understand that WMPL plugin is very complex. And I need to say that the hosting what we have is very fast.

Thank you.
Pavel

April 10, 2020 at 9:09 am #5882499

Dražen Duvnjak
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+01:00)

Hello Pavel,

thanks for understanding. We are working together with authors to make UX builder compatible, I think there is not much work left, and it could soon be compatible.

WPML can impact the speed of the website around 1-2 s. I would recommend testing website speed with and without WPML plugins, to see the difference and if WPML is causing the issue.

Since we limit 1 issue per 1 ticket, so it is easier to follow the issue and solution, if there is a performance issue you will need to open a new ticket.

Please let me know and I can open/split this to a new ticket for you. 🙂

Be sure to also check:
- https://wpml.org/tutorials/2012/01/can-your-site-run-faster/
- https://wpml.org/faq/prevent-performance-issues-with-wpml/

Thanks,
Drazen

June 2, 2020 at 7:08 am #6270731

Dražen Duvnjak
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+01:00)

Hello,

I am just updating here to let you know the now the Flatsome UX Builder is compatible with WPML on its latest versions.

Have a nice day.

Regards,
Drazen

June 12, 2020 at 4:43 pm #6360921

pavelF-4

Hi Dražen,

Good news. Thank you!

Have a nice day. Pavel.